/*
Theme Name:   Twenty Twenty-Five Child - Office Events
Theme URI:    https://irvinecompany.com
Description:  Child theme for Twenty Twenty-Five - Office Events RSVP
Author:       Jeremy Schuler - Irvine Company
Author URI:   https://irvinecompany.com
Template:     twentytwentyfive
Version:      1.0.1
*/

/*----------------------------------------------------------------------------
>>> TABLE OF CONTENTS:
	Last Updated  05.29.2026 
------------------------------------------------------------------------------
1.0 # Typography 
2.0 # Content 
3.0 # Plugins
4.0 # Media Queries 
------------------------------------------------------------------------------ */

/*  ==========================================================================
	1.0 # Typography 
	========================================================================== */

    .wp-block-image img {
    font-size: 1rem;
}

/*  ==========================================================================
	2.0 # Content 
	========================================================================== */

/* Smooth scrolling for anchor links */
html {
    scroll-behavior: smooth;
}

/* Offset for fixed headers */
:target {
    scroll-margin-top: 20px;
}

header a { text-decoration: none; }

/* Helper Classes */
.card--box-shadow {
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.card--border-radius {
    border-radius: 0.7rem 0 0 0.7rem;
}

/* Components */
.wp-block-column.ic-card { 
    max-width: 416px!important; margin: auto; 
}

/*  ==========================================================================
	3.0 # Plugins 
	========================================================================== */

/* Gravity Forms */
.gform-body label { 
    font-size: .9375rem;
}

.gform-footer input[type="submit"]{
    background-color: #f37120;
    border-width: 0; border-radius: 999px;
    color: var(--wp--preset--color--base);
    padding: 1rem 2.25rem;

    font-size: var(--wp--preset--font-size--medium);
    text-decoration: uppercase;
    text-transform: inherit;
    cursor: pointer;
}

.gform_wrapper.gravity-theme .gform_footer { 
    margin-bottom: 0;
}

/* Popup Maker */
.popmake .gform_wrapper.gravity-theme .gform_footer {
    padding-bottom: 0;
}
.popmake .gform_wrapper.gravity-theme .gform_footer input {
    margin-bottom: 0;
}

/* Fix Popup Maker body children padding-right offset issue */
html.pum-open.pum-open-overlay.pum-open-scrollable body > *:not([aria-modal="true"]) {
    padding-right: 0 !important;
}


/*  ==========================================================================
	4.0 # Media Queries 
	========================================================================== */